package com.tzld.piaoquan.tencentad.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum AdBaseVideoStatusEnum {

    DEFAULT(0, "未审核"),
    FIRST_VERIFY_SUCCESS(1, "一审通过"),
    FIRST_VERIFY_FAIL(2, "一审不通过"),
    SECOND_VERIFY_SUCCESS(3, "二审通过"),
    SECOND_VERIFY_FAIL(4, "二审不通过");


    final Integer status;

    final String desc;

    AdBaseVideoStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public static AdBaseVideoStatusEnum getByStatus(Integer status) {
        for (AdBaseVideoStatusEnum adBaseVideoStatusEnum : AdBaseVideoStatusEnum.values()) {
            if (Objects.equals(adBaseVideoStatusEnum.getStatus(), status)) {
                return adBaseVideoStatusEnum;
            }
        }
        return null;
    }


}
