package com.tzld.piaoquan.tencentad.common.enums;

import lombok.Getter;

import java.util.Objects;

@Getter
public enum DimensionSizeEnum {

    SIZE_1280_720("SIZE_1280_720", "1280x720"),
    SIZE_720_1280("SIZE_720_1280", "720x1280"),
    SIZE_800_800("SIZE_800_800", "800x800");


    final String size;

    final String desc;

    DimensionSizeEnum(String size, String desc) {
        this.size = size;
        this.desc = desc;
    }

    public static DimensionSizeEnum getBySize(String size) {
        for (DimensionSizeEnum dimensionSizeEnum : DimensionSizeEnum.values()) {
            if (Objects.equals(dimensionSizeEnum.getSize(), size)) {
                return dimensionSizeEnum;
            }
        }
        return null;
    }



}
